using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RoomBehaviour : MonoBehaviour
{
    public GameObject[] walls; // 0- Up, 1- Down, 2- Right, 3- Left
    public GameObject[] doors;
    public GameObject[] lamps;
    public MeshCollider[] wallColliders;
    public MeshCollider[] doorColliders;

    void Start()
    {
    

    }

    // Update is called once per frame
    public void UpdateRoom(bool[] status)
    {
        for (int i = 0; i < status.Length; i++)
        {
            doors[i].SetActive(status[i]);
            walls[i].SetActive(!status[i]);
            lamps[i].SetActive(status[i]);
            // Activate/deactivate MeshColliders based on the door status
            if (status[i])
            {
                    doorColliders[i].enabled = false;
                    wallColliders[i].enabled = false;
            }
            else
            {
                    doorColliders[i].enabled = true;
                    wallColliders[i].enabled = true;
            }
        }
    }
}
